import { UUidWithPrefix } from "#components/Ausweis/types.js";
import { Enums } from "#lib/client/prisma";
import { z } from "zod";

export const filterAusweise = z.object({
			uid: UUidWithPrefix.optional(),
			ausgestellt: z.boolean().optional(),
			ausstellgrund: z.nativeEnum(Enums.Ausstellgrund).optional(),
			bestellt: z.boolean().optional(),
			zurueckgestellt: z.boolean().optional()
		})